#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions(
  -Dinline=__inline__
  -Dasm=__asm__
)

include_directories(
  ${CMAKE_BINARY_DIR}
  ${RUBY_INCLUDE_DIR}/${RUBY_ARCH}
  ${RUBY_INCLUDE_DIR}
)

##### other data ################################

install( FILES
    http11.rb
  DESTINATION ${LIB_INSTALL_DIR}/ruby_lib )


##### http11 (shared) ###########################

tde_add_library( http11 SHARED
  SOURCES
    http11.c http11_parser.c tst_cleanup.c tst_delete.c
    tst_grow_node_free_list.c tst_init.c tst_insert.c tst_search.c
  LINK ${RUBY_LDFLAGS}
  DESTINATION ${LIB_INSTALL_DIR}/ruby_lib
)
